# TypedMap<B> class

A map, similar to Map, but always uses the type of the value as the key.

## Constructors

TypedMap ()
  Create an empty typed map.
TypedMap.fromList (List <B> items)
  Create a typed map from a list of values.

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
keys → Iterable <Object>
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

get <T>() → T?
  Return the object of type `T` from the map, if it has been stored.
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
set <T extends B>(T value) → void
  Associate the type of `value` with `value` in the map.
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited